
# iesecurity

Ce module permet de gérer l'activation / désactivation des parametres de sécurité avancée d'Internet Explorer sur les serveurs Windows.


#### Table of Contents

1. [Description](#description)
2. [Setup](#setup)
    * [Fonctionnement](#what-iesecurity-affects)
  

## Description

Ce module permet de gérer l'activation / désactivation des parametres de sécurité avancée d'Internet Explorer sur les serveurs Windows.


## Setup

### Fonctionnement

Ce module se base sur les clés de registre pour activer / désactiver la sécuritée renforcée d'internet explorer sur les serveurs windows.

Ce module prend en charge 2 parametres facultatifs qui sont :
  * enable_administrators    :   true ou false  (Gestion de la sécurité renforcée pour les Admins)
  * enable_users             :   true ou false  (Gestion de la sécurité renforcée pour les Users)

Exemple :

Pour s'assurer que la sécurité renforcée est active pour tous :
```
class { 'iesecurity':}
```
Pour s'assurer que la sécurité renforcée est désactivée pour tous :
```
class { 'iesecurity':
    enable_administrators => false,
    enable_users => false,
}
```
Pour activer la sécurité renforcée pour les Utilisateurs, mais pas pour les Administrateurs :
```
class { 'iesecurity':
    enable_administrators => false,
    enable_users => true,   # Facultatif car c'est la valeur par défaut.
}
```