# This class is the main class of iesecurity

# Description : Cette classe de test permet de d'activer / désactiver la sécuritée renforcée de IE
#               via les clés de registre.


#
#   Parametres
#

# $enable_adminsitrators doit avoir pour valeur : false / true
#
# $enable_users doit avoir pour valeur : false / true

class iesecurity (

Boolean $enable_administrators = true,
Boolean $enable_users = true,

) {
  $active_admins = $enable_administrators ? {
  true          => '00000001',
  false         => '00000000',
  default       => '00000001',
  }

  $active_users = $enable_users ? {
  true          => '00000001',
  false         => '00000000',
  default       => '00000001',
  }

  registry_value { 'HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\{A509B1A7-37EF-4b3f-8CFC-4F3A74704073}\IsInstalled':
    ensure => present,
    type   => dword,
    data   => $active_admins,
  }
  registry_value { 'HKLM\SOFTWARE\Microsoft\Active Setup\Installed Components\{A509B1A8-37EF-4b3f-8CFC-4F3A74704073}\IsInstalled':
    ensure => present,
    type   => dword,
    data   => $active_users,
  }
}

